#
# spec file for package most
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           most
Version:        5.2.0
Release:        1.10
Summary:        File viewer and pager
License:        GPL-2.0-or-later
Group:          Productivity/Text/Utilities
URL:            https://www.jedsoft.org/most/
Source:         https://www.jedsoft.org/releases/most/%{name}-%{version}.tar.gz
Source2:        https://www.jedsoft.org/releases/most/%{name}-%{version}.tar.gz.asc
Source3:        https://www.jedsoft.org/jedavis_public_key2.asc#/%{name}.keyring
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(slang)

%description
Most is a paging program.
It supports multiple windows and can scroll left and right.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
rm -rf "%{buildroot}%{_datadir}/doc"

%files
%license COPYING
%doc README changes.txt doc/{lesskeys.rc,most-fun.txt,most.rc}
%{_bindir}/%{name}
%{_mandir}/man1/most.1%{?ext_man}

%changelog
* Mon Aug  8 2022 Andreas Stieger <andreas.stieger@gmx.de>
- Update to 5.2.0:
  * Better support for files larger than 4 GB
  * Truecolor support on 64 bit systems for terminals that support
    it
- add upstream signing key and validate source signature
- fix license
* Wed Jan 22 2020 Sébastien POHER <sogal@opensuse.org>
- Upgrade to pre5.2
* Sun Apr 14 2019 Sébastien 'sogal' Poher <sogal@opensuse.org>
- Upgrade to new release 5.1
  * Install docs in $prefix/share/doc
  * Removed redundant switch in the most_forward_columns function.
  * Added an option to most_read_file_dsc to skip the line
    count and made use of it in search.c to speed up the searches a bit.
  * When wrapping a line, the color was not "wrapped".
  * If a color escape sequence occurs at the end of a line whose display
    width is equal to the terminal width, do not wrap the line.
  * Limit the amount of loops when going to the end of the buffer.
  * Change DELETE to BACKSPACE.
  * Use /etc/ld.so.conf to located system lib paths.
  * Fixed an issue with the display of double-width characters to address
    lp#312454
  * Rewrote the search functions from scratch. Both ordinary and regexp
    Searches are now supported.
  * Add the -r flag to startup with regular-expression searches.
  * Added support for Home/End keys (top/bottom of buffer).
  * Added a work-around for programs that try colorize the output
* Fri Jan  4 2019 sogal@opensuse.org
- Fix warnings for pre5.1
* Fri Jan  4 2019 Jan Engelhardt <jengelh@inai.de>
- Trim description to openSUSE relevant parts.
* Sun Dec 23 2018 sogal@opensuse.org
- Do not package uneeded files in src doc directory
- Make description neutral
* Sun Dec 23 2018 sogal@opensuse.org
- Update to pre5.1-24
* Fri Mar 30 2018 sogal@volted.net
- Fix release number, use bugfix version instead
- Added previous openSUSE changes
* Fri Mar 30 2018 sogal@volted.net
- Upgrade to 5.1 prerelease
  * Search improvment
  * Fix wrapping of colorized lines
  * Update configure script
  * Fix double-width characters diplay issue
  * Add support for Home/End keys
* Wed Feb 25 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Clean dependencies
- Update urls
- Add gpg key
* Tue Jun  7 2011 pascal.bleser@opensuse.org
- initial version (5.0.0a)
